### Method

# EDataCal DataCalView get_fields_of_interest

since: 3.2

#### Declaration [src]

    GHashTable*
    e_data_cal_view_get_fields_of_interest (
      EDataCalView* view
    )

#### Description

No description available.

Available since: 3.2

#### Return value

Type: `GHashTable`

Hash table of field names which the listener is interested in. Backends can return fully populated objects, but the listener advertised that it will use only these. Returns `NULL` for all available fields.

Note: The data pointer in the hash table has no special meaning, it’s only GINT_TO_POINTER(1) for easier checking. Also, field names are compared case insensitively.

The returned data is owned by the instance.
The return value can be `NULL`.